EDIT - feature request #9706

Name Editor for Sections: show simple form for in-authors without full citation
07/13/2021 11:44 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.27

Severity: minor

Description

When a scientific name appears in e.g. an article with authors, title, journal etc. and only this scientific name has different authors.

e.g. R.Jahn & N.Abarca in Jahn, R., Kusber, W.-H. & Abarca, N.
for PhycoBank users it might be more comfortable to work with a form only showing the author team functionality.

Name editor - [selection in] Nomenclatural reference [Goto] New.
Show form only with team functionality (do not show ofr disable the other entrys, only in this use case).
Associated revisions

Revision 051b6f6e - 09/09/2021 12:36 PM - Andreas Kohlbecker

fix #9706 reducing field visibility of sections to authors, pages and inReference

History

#1 - 07/14/2021 02:22 PM - Andreas Kohlbecker
- Description updated

#2 - 07/14/2021 02:31 PM - Andreas Kohlbecker
- Priority changed from Lowest to Highest

- Target version changed from Unassigned CDM tickets to Phycobank ready for submitters

this behavior should be activated when TaxonNamePopupEditorMode.NOMENCLATURALREFERENCE_SECTION_EDITING_ONLY is set in the
name editor.

#3 - 09/09/2021 12:13 PM - Andreas Kohlbecker

Andreas Kohlbecker wrote:
this behavior should be activated when TaxonNamePopupEditorMode.NOMENCLATURALREFERENCE_SECTION_EDITING_ONLY is set in
the name editor.

this was a wrong guess!

The solution to this rather is related to correcting the field visibility with is defined in the
eu.etaxonomy.cdm.model.reference.ReferencePropertyDefinitions

for section the visibility is defined as:
iSection = merge (iReference, iWithAuthorAndDate, iWithDoi, iNomenclaturalReference);
this makes not much sense as sections are always part of a bigger enclosing published unit which has DOI, date and so on.

This brings us back to the old discussion whether we need a different type of section which is dedicated to sections like paragraphs in journal articles
and books.

Currently ISection is defined correspondingly to the TDWG ontology PublicationTypeTerm "SubReference".
| thing this is not correct as there is also a "section” term in the TDWG ontology:

<owl:DatatypeProperty rdf:ID="section">
<rdfs:label>Section</rdfs:label>
<rdfs:comment>Some publications are split into sections. This can be signified here.</rdfs:comment>
<rdfs:domain rdf:resource="#PublicationCitation"/>
<rdfs:range rdf:resource="http://www.w3.0rg/2001/XMLSchema#string"/>
<rdfs:isDefinedBy rdf:resource="http://rs.tdwg.org/ontology/voc/PublicationCitation"/>
</owl:DatatypeProperty>

| think we actually need both of them "SubReference" and "Section".

#4 - 09/09/2021 12:37 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|051b6f6e98d82d69bd8ffefdd0c0df7d1e5958ad.

#5 - 09/09/2021 12:37 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review

#6 - 09/09/2021 12:38 PM - Andreas Kohlbecker
- Tags changed from phycobank to phycobank, phycobank-ready-for-submitters

- Target version changed from Phycobank ready for submitters to Release 5.45
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/051b6f6e98d82d69bd8ffefdd0c0df7d1e5958ad

#7 - 09/14/2021 10:59 AM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100
Works as expected. Ticket can be closed.

#8 - 09/14/2021 11:04 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#9 - 09/21/2021 02:11 PM - Andreas Miller

- Target version changed from Release 5.45 to Release 5.27
#10 - 09/22/2021 10:09 AM - Andreas Kohlbecker
- Subject changed from Name Editor in Vaadin: show simple form for in-authors without full citation to Name Editor for Sections: show simple form for

in-authors without full citation
